%{?scl:%scl_package mcollective-sysctl-data}
%{!?scl:%global pkg_name %{name}}

Summary: Retrieve values for a given sysctl
Name: %{?scl_prefix}mcollective-sysctl-data
Version: 2.0.0
Release: 1%{?dist}
License: ASL 2.0
URL: http://marionette-collective.org/
Vendor: Puppet Labs
Packager: R.I.Pienaar <rip@devco.net>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-sysctl-data-2.0.0.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1

%description
Retrieve values for a given sysctl

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/data

%{__install} -m0644 usr/libexec/mcollective/mcollective/data/sysctl_data.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/data/sysctl_data.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/data/sysctl_data.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/data/sysctl_data.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/data/sysctl_data.ddl
%{_libexecdir}/mcollective/mcollective/data/sysctl_data.rb

%changelog
* Tue Mar 05 2013 R.I.Pienaar <rip@devco.net> - 2.0.0-1
- Built Package mcollective-sysctl-data
